import { CategoryAxisBase } from "./CategoryAxisBase";
import { Type, IList$1 } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { Rect } from "igniteui-react-core";
import { ScalerParams } from "./ScalerParams";
import { SeriesViewer } from "./SeriesViewer";
import { CategoryMode } from "./CategoryMode";
import { IGetItemAtIndex } from "igniteui-react-core";
import { CategoryAxisBaseView } from "./CategoryAxisBaseView";
/**
 * @hidden
 */
export declare class CategoryXAxis extends CategoryAxisBase {
    static $t: Type;
    a3(): AxisView;
    gx(a: AxisView): void;
    k5: CategoryXAxisView;
    constructor();
    private lh;
    lj: number;
    private lg;
    li: number;
    au(): AxisLabelPanelBase;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    jz(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    dl(): number;
    lp(a: any): void;
    dy(a: number, b: ScalerParams): number;
    protected k4(a: IList$1<number[]>): number[][];
    gr(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    dz(a: number, b: ScalerParams, c: CategoryMode): number;
    private ld;
    d1(a: number, b: ScalerParams): number;
    d2(a: number, b: ScalerParams, c: CategoryMode): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    lq(a: number, b: number): void;
    lk: any;
    protected hc(a: boolean): void;
    cp(): boolean;
    static readonly lr: DependencyProperty;
    le: number;
    private k7;
    k9: number;
    d9(): number;
    static readonly ls: DependencyProperty;
    lf: number;
    private k8;
    la: number;
    jq(a: SeriesViewer): boolean;
    protected get_a1(): AxisOrientation;
    readonly a1: AxisOrientation;
    protected k6(): IGetItemAtIndex;
    protected lc(a: number, b: ScalerParams): number;
    protected lb(a: number, b: number, c: boolean, d: ScalerParams): number;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
}
/**
 * @hidden
 */
export declare class CategoryXAxisView extends CategoryAxisBaseView {
    static $t: Type;
    protected bg: CategoryXAxis;
    constructor(a: CategoryXAxis);
}
